function err = calculateHammingScore(YPred,Y,numTrain)
% returns avg error over all instances
% 
T = length(numTrain);
% IMP: assuming all tasks have same instances. The instances are arranged
% task-wise. Things can be modified to work on unarranged output (where
% index of outputs for each task is given)

n = numTrain(1);% actual number of instances
begIdx = [1;cumsum(numTrain(1:end-1))+1];
err = 0;

for i=1:n
    % for ith instance
    % original output vector
    y = Y(begIdx-1+i);% column vector
    predY = YPred(begIdx-1+i);
    err = err + sum(y==predY);
end

err = err/T/n;