function [err errDetail] = calculateWeightedMultiClassError(decisionValue,YTest,numT)
% returns weighted error over all all classes
% 
% T = length(numT);
nTest = numT(1);

testPredicted = decisionValue>0;
YTest = (YTest == 1);
cp1 = 0;cp2 = 0;cp3 = 0;
wp1 = 0;wp2 = 0;wp3 = 0;
for inst = 1:nTest
    predictedTasks = find(testPredicted(inst,:));
    actualTask = find(YTest(inst,:));
    if (length(predictedTasks) == 1)
        if (actualTask == predictedTasks)
            cp1 = cp1 + 1;
        else
            wp1 = wp1 + 1;
        end
    else
        if (length(predictedTasks) > 1)
            [maxx, index] = max(decisionValue(inst,predictedTasks));
            if (actualTask == predictedTasks(index))
                cp2 = cp2 + 1;
            else
                wp2 = wp2 + 1;
            end
        else
            [maxx, index] = max(decisionValue(inst,:));
            if (actualTask == index)
                cp3 = cp3 + 1;
            else
                wp3 = wp3 + 1;
            end
        end
    end
end
correctPred = cp1 + cp2 + cp3;
% wrongPred = wp1 + wp2 + wp3;
err = 1-correctPred/nTest;
errDetail.cp1 = cp1;
errDetail.cp2 = cp2;
errDetail.cp3 = cp3;
errDetail.wp1 = wp1;
errDetail.wp2 = wp2;
errDetail.wp3 = wp3;
