function [predtrain,predtest] = predict_train_test_ghkl_mtl(datatest,datatrain,hull,alpha,b,zeta,theta,numTrain,numTest)

switch datatrain.dag_type
    case {'grid + input_space' , 'mkl + input_space', 'bimkl + input_space' }
        % prepare data
%         p = size(theta,1);
        n = sum(numTrain);
        m = sum(numTest);
        T = length(numTrain);
        predtrain = zeros(n,1);
        predtest = zeros(m,1);
        myRidge = (1e-8);
       
        theta_zeta = zeta.*theta;
        nonZero = find(theta_zeta)';
        begTrIdx = [1;cumsum(numTrain(1:end-1))+1];
        endTrIdx = cumsum(numTrain(1:end));
        begTeIdx = [1;cumsum(numTest(1:end-1))+1];
        endTeIdx = cumsum(numTest(1:end));
        idx_tr = cell(T,1);
        idx_te = cell(T,1);
        for t=1:T
            idx_tr{t} = (begTrIdx(t):endTrIdx(t));
            idx_te{t} = (begTeIdx(t):endTeIdx(t));
        end
        
        for i=nonZero
            Xloctrain = get_data_reduced(hull(i,:),datatrain);
            Xloctest = get_data_reduced(hull(i,:),datatest);
            for t=1:T
                predtrain(idx_tr{t}) = predtrain(idx_tr{t}) + ( (Xloctrain*(Xloctrain'*alpha(idx_tr{t})) + ...
                     alpha(idx_tr{t})*myRidge) )*theta_zeta(i);
                predtest(idx_te{t}) = predtest(idx_te{t}) + ( Xloctest*(Xloctrain'*alpha(idx_tr{t})) )*theta_zeta(i);
            end
        end
        for t=1:T
            predtrain(idx_tr{t}) = predtrain(idx_tr{t})+b(t);
            predtest(idx_te{t}) = predtest(idx_te{t})+b(t);
        end
end
